/* 
 * File:   ADC.c
 * Author: chengo_cc
 *
 * Created on 29 December 2015, 12:21 PM
 */
#include <stdio.h>
#include <stdlib.h>
#include <pic.h>
//---------------------LCD pins-------------------------------------------------
#define PORT      PORTB      //Data output port
#define RS        RC0        //Register Select
#define EN        RC2        //Enable
//---------------------LCD pin directions---------------------------------------
#define PORT_dir  TRISB      //Data output port
#define RS_dir    TRISC0     //Register Select
#define EN_dir    TRISC2     //Enable
//---------------------Header files---------------------------------------------
#include "delay.h"
#include "ADC.h"
#include "LCD8.h"
//------------------------------------------------------------------------------
char stringTemp[6];
float getTemp(char temp);
//------------------------------------------------------------------------------
int main(int argc, char** argv)
{
  LCD_init();
  ADC_init();
  
  while(1)
  {
    sprintf(stringTemp, "Channel 0: %3.2f C", getTemp(ADC_read(0))); // sprintf() is a stdio function.
    LCD_string(0,0,stringTemp);

    sprintf(stringTemp, "Channel 1: %3.2f C", getTemp(ADC_read(1))) ;
    LCD_string(1,0,stringTemp);
  }

  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------
float getTemp(char temp)
{
  float temperature = temp * (5.0/1024);  // (5.0/1024) = Resolution
  return (temperature * 100);
}
//------------------------------------------------------------------------------